Interface: FindRequestOptions
Defined in: service-core/src/routes/ModelRoute.ts:58
The set of options required by search request handlers.
Extends
Properties
ignoreACL?
optionalignoreACL?:boolean
Defined in: service-core/src/models/RepoUtils.ts:39
Set to true to ignore the ACL permissions check.
Inherited from
params?
optionalparams?:any
Defined in: service-core/src/routes/ModelRoute.ts:60
The list of URL parameters to use in the search.
pushChannels?
optionalpushChannels?:string[]
Defined in: service-core/src/models/RepoUtils.ts:41
An additional list of channel names to send push notifications to.
Inherited from
query
query:
any
Defined in: service-core/src/routes/ModelRoute.ts:62
The list of query parameters to use in the search.
recordEvent?
optionalrecordEvent?:boolean
Defined in: service-core/src/models/RepoUtils.ts:43
Indicates if a telemetry event should be broadcast for the request.
Inherited from
req?
optionalreq?:HttpRequest
Defined in: service-core/src/routes/ModelRoute.ts:25
The originating client request.
Inherited from
res?
optionalres?:HttpResponse
Defined in: service-core/src/routes/ModelRoute.ts:27
The outgoing client response.
Inherited from
skipPush?
optionalskipPush?:boolean
Defined in: service-core/src/models/RepoUtils.ts:45
Set to true to not send a push notification.
Inherited from
transaction?
optionaltransaction?:TransactionInfo
Defined in: service-core/src/models/RepoUtils.ts:47
The transactional session to execute the operation within.
Inherited from
user?
optionaluser?:JWTUser
Defined in: service-core/src/models/RepoUtils.ts:49
The authenticated user making the request.